
%global meadversion 1.0.2
%global namedversion 1.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package yasson}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.redhat-00001

Name:           %{?scl_prefix}yasson
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse Yasson. Reference implementation of JSR-367 (JSON-B).
Group:          Development/Java

%if %with mead
Source100: yasson-1.0.2.redhat-00001-project-sources.tar.gz
Source102: yasson-1.0.2.redhat-00001.jar
Source103: yasson-1.0.2.redhat-00001-javadoc.jar
Source104: yasson-1.0.2.redhat-00001.pom
Source105: yasson-1.0.2.redhat-00001-sources.jar
%endif

License:        BSD or EPL-1.0
URL:            https://projects.eclipse.org/projects/rt.yasson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/yasson-%{namedversion}-%{release}-root

%description
Yasson is a Java framework which provides a standard binding layer between Java classes and JSON documents.
This is similar to what JAXB is doing in the XML world.
Yasson is an official reference implementation of JSON Binding ([JSR-367](https://jcp.org/en/jsr/detail?id=367)).

%if %with javadoc
%package javadoc
Summary:        Javadoc for yasson
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n yasson -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/yasson-%{namedversion}.jar %{buildroot}%{_javadir}/yasson-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/yasson-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/yasson-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/yasson-%{namedversion}-sources.jar %{buildroot}%{_javadir}/yasson-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/yasson-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/yasson-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/yasson-%{namedversion} -x META-INF/\*
%{__ln_s} yasson-%{namedversion} %{buildroot}%{_javadocdir}/yasson
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md
%{_javadir}/yasson-%{namedversion}.jar
%{_javadir}/yasson.jar
%if %with javadoc
%{_javadir}/yasson-%{namedversion}-javadoc.jar
%{_javadir}/yasson-javadoc.jar
%endif
%{_javadir}/yasson-%{namedversion}-sources.jar
%{_javadir}/yasson-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/yasson-%{namedversion}
%{_javadocdir}/yasson
%endif

%changelog
* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 1.0.2-1.redhat_00001.1
- 1.0.2.redhat-00001

* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 1.0.2-1.redhat_00001.1
- 1.0.2.redhat-00001

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.1-3.redhat_1.1
- Fix License

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.redhat_1.1
- Rewrap for 7.2.0

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.1-1.redhat_1.1
- upgrade to 1.0.1.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- 1.0.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- 1.0.0.redhat_1

